Loading...
Searching...
No Matches
casacore::details::CyclicState Class Reference

Class to hold the state returned by CyclicPtr::Freeze(). More...

`#include <CyclicPtr.h>`

## Public Member Functions

| ~CyclicState () noexcept=default

## Private Member Functions

| CyclicState ()=delete
constexpr | CyclicState (unsigned value) noexcept

## Private Attributes

unsigned | value_

## Friends

template<typename T>
class | CyclicPtr

## Detailed Description

Class to hold the state returned by CyclicPtr::Freeze().

Definition at line 15 of file CyclicPtr.h.

## Constructor & Destructor Documentation

## ~CyclicState()

casacore::details::CyclicState::~CyclicState | ( |  | ) |

default noexcept

## CyclicState() [1/2]

casacore::details::CyclicState::CyclicState | ( |  | ) |

private delete

References CyclicState().

Referenced by CyclicState(), and CyclicState().

## CyclicState() [2/2]

casacore::details::CyclicState::CyclicState | ( | unsigned | value | ) |

inline constexpr private noexcept

Definition at line 21 of file CyclicPtr.h.

References CyclicState(), casacore::NewDelAllocator< T >::value, and value_.

## Friends And Related Symbol Documentation

## CyclicPtr

template<typename T>

friend class CyclicPtr

friend

Definition at line 24 of file CyclicPtr.h.

References CyclicPtr.

Referenced by CyclicPtr.

## Member Data Documentation

## value_

unsigned casacore::details::CyclicState::value_

private

Definition at line 26 of file CyclicPtr.h.

Referenced by CyclicState(), and casacore::details::CyclicPtr< T >::Unfreeze().

The documentation for this class was generated from the following file:

- measures/Measures/CyclicPtr.h